Subject: [Xml-sg-cmt] math support

From: Sandy Ginoza <[email-masked]>
Date: Mon, 9 Aug 2021 11:11:46 -0700

Hi team,

Just fyi that Carsten is hoping to have math support in running text.  This is the sentence he refers to below: 

   There is
   an upper limit to the range of the integer numbers that can be
   represented in all SenML representations: practical JSON limits this
   to 2^53-1 [RFC7493].

In case you’re interested, the files are available here: 
   https://www.rfc-editor.org/authors/rfc9100.txt
   https://www.rfc-editor.org/authors/rfc9100.pdf
   https://www.rfc-editor.org/authors/rfc9100.html
   https://www.rfc-editor.org/authors/rfc9100.xml

Thanks,
Sandy 

> Begin forwarded message:
> 
> From: Sandy Ginoza <[email-masked]>
> Subject: Re: AUTH48 [RE]: RFC 9100 <draft-ietf-core-senml-versions-05.txt> NOW AVAILABLE
> Date: August 9, 2021 at 11:02:28 AM PDT
> To: Carsten Bormann <[email-masked]>
> Cc: RFC Editor <[email-masked]>, [email-masked], [email-masked], [email-masked]
> 
>> (3)
>> For information, I note my general unhappiness about needing to substitute a hyphen for the minus sign in the second paragraph of 2.1.  It seems RFC 7997 does not allow fixing this.
> 
> The v3 XML Committee is aware of the need for math support; it has been flagged as a future enhancement.  I will pass your comment along to them as an example of where the feature would be helpful.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 9 Aug 2021 15:18:22 -0600

Hi Sandy, I've added this to the August 23rd agenda:

https://codimd.ietf.org/cmt-20210823

It seems that this would require inline superscript, not full inline
math support. Correct?

Peter

On 8/9/21 12:11 PM, Sandy Ginoza wrote:
> <https://www.rfc-editor.org/authors/rfc9100.txt>
> <https://www.rfc-editor.org/authors/rfc9100.pdf>
> <https://www.rfc-editor.org/authors/rfc9100.html>
> <https://www.rfc-editor.org/authors/rfc9100.xml>
> 
> Thanks,
> Sandy 
> 
>> Begin forwarded message:
>>
>> *From: *Sandy Ginoza <[email-masked] <mailto:[email-masked]>>
>> *Subject: **Re: AUTH48 [RE]: RFC 9100
>> <draft-ietf-core-senml-versions-05.txt> NOW AVAILABLE*
>> *Date: *August 9, 2021 at 11:02:28 AM PDT
>> *To: *Carsten Bormann <[email-masked] <mailto:[email-masked]>>
>> *Cc: *RFC Editor <[email-masked]
>> <mailto:[email-masked]>>, [email-masked]
>> <mailto:[email-masked]>, [email-masked]
>> <mailto:[email-masked]>, [email-masked]
>> <mailto:[email-masked]>
>>
>>> (3)
>>> For information, I note my general unhappiness about needing to
>>> substitute a hyphen for the minus sign in the second paragraph of
>>> 2.1.  It seems RFC 7997 does not allow fixing this.
>>
>> The v3 XML Committee is aware of the need for math support; it has
>> been flagged as a future enhancement.  I will pass your comment along
>> to them as an example of where the feature would be helpful.  
> 
>

---

From: "John R Levine" <[email-masked]>
Date: 9 Aug 2021 17:46:57 -0400

> It seems that this would require inline superscript, not full inline

I am not inclined to put a lot of work into partial math support.

In fixed pitch Unicode, there are superscript and subscript versions of

digits + - = ( )

so you can display 2⁽²⁺³⁾ = 32₁₀

but you can't do more than one level of superscript or subscript nor use 
letters or any other operators.  How much work is it worth to display 2⁵³
(which looks bad in my terminal because the 5 and 3 aren't aligned) rather 
than 2^53 ?

Alternatively, since those are just Unicode characters, perhaps we could 
reduce this to yet another case of Unicode anywhere and if the authors 
want to futz with those characters, they can.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 14 Aug 2021 01:19:57 +0200

Huh?

We already can do inline sup/sub.
What is needed is the ability to put in non-ASCII characters such as minus outside <contact>, because the grammar for <contact> is broken.

Grüße, Carsten

> On 2021-08-09, at 23:46, John R Levine <[email-masked]> wrote:
> 
> but you can't do more than one level of superscript or subscript nor use letters or any other operators.  How much work is it worth to display 2⁵³
> (which looks bad in my terminal because the 5 and 3 aren't aligned) rather than 2^53 ?
> 
> Alternatively, since those are just Unicode characters, perhaps we could reduce this to yet another case of Unicode anywhere and if the authors want to futz with those characters, they can.
> 
> Regards,

---

From: "John R Levine" <[email-masked]>
Date: 13 Aug 2021 20:02:44 -0400

Regards,